
Redmine - Feature #12814

Ability to specify target version sort order

2013-01-11 16:07 - Ivan Kanis

Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We have upgraded from 1.0.3 to 2.2.0.

The target version is now showing the oldest version on top which is not very convenient.

The target can be sorted in the filter however all bugs that do not have a target version (none) will show up on top.

We have many bugs that do not have a target version and they clutter the top of the issues list.

It would be nice to have a global setting so that order can be specified.

Related issues:

Is duplicate of Redmine - Feature #6974: Define manually the versions order i... New 2010-11-25

Copied to Redmine - Feature #13792: Fixing via git push should not break work... Closed

History

#1 - 2013-01-20 08:20 - Toshi MARUYAMA

- Category set to Roadmap

#2 - 2013-02-25 17:56 - Ivan Kanis

I had a little time to look at this.

Undoing Revision 10076 causes issue to be sorted as before.

However issues that are not associated with a revision come on top ('none').

How would I go about fixing this?

#3 - 2013-03-27 05:37 - Toshi MARUYAMA

Ivan Kanis wrote:

The target version is now showing the oldest version on top which is not very convenient.

 It changed by #11153.

#4 - 2013-03-27 05:38 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #6974.

#5 - 2013-03-27 21:39 - Ivan Kanis

- Status changed from Closed to Reopened

I know it has changed. I do not think it is a duplicate.

I am asking for a way to have the same order as 1.0.3.

2025-05-17 1/2

https://www.redmine.org/issues/11153
https://www.redmine.org/issues/6974


Specifically issues that have no target version to be at the bottom of the list.
